<?xml version="1.0" encoding="UTF-8"?>

<!DOCTYPE web-app
    PUBLIC "-//Sun Microsystems, Inc.//DTD Web Application 2.3//EN"
    "http://java.sun.com/dtd/web-app_2_3.dtd">

<web-app>
    <context-param>
        <param-name>base-path</param-name>
        <param-value>/shared_cataloging/</param-value>
    </context-param>

   <!-- Version number parameters -->
    <context-param>
      <param-name>version-number</param-name>
      <param-value>@version_string@</param-value>
    </context-param>
    <context-param>
      <param-name>build-date</param-name>
      <param-value>@build_date@ @build_time@</param-value>
    </context-param>

    <resource-ref>
      <res-ref-name>clusterSharedPath</res-ref-name>
      <res-type>java.lang.String</res-type>
      <res-auth>Container</res-auth>
    </resource-ref>

    <session-config>
        <session-timeout>
            30
        </session-timeout>
    </session-config>

    <welcome-file-list>
      <welcome-file>
          uploadmarc.html
      </welcome-file>
	<welcome-file>
            index.jsp
        </welcome-file>
	<welcome-file>
            index.html
        </welcome-file>
	<welcome-file>
            index.htm
        </welcome-file>
    </welcome-file-list>
 <security-constraint>
    <web-resource-collection>
        <web-resource-name>shared_cataloging</web-resource-name>
        <url-pattern>/*</url-pattern>
    </web-resource-collection>
    <auth-constraint>
        <role-name>scp</role-name>
        <role-name>2453</role-name>
    </auth-constraint>
      <user-data-constraint>
          <transport-guarantee>CONFIDENTIAL</transport-guarantee>
      </user-data-constraint>
   </security-constraint>

    <login-config>
        <auth-method>FORM</auth-method>
        <realm-name>Authentication Required</realm-name>
        <form-login-config>
            <form-login-page>/login/login.jsp</form-login-page>
            <form-error-page>/login/error.jsp</form-error-page>
        </form-login-config>
    </login-config>

   <security-role>
    <role-name>scp</role-name>
   </security-role>
   <security-role>
    <description>Innopac Users</description>
    <role-name>2453</role-name>
   </security-role>

	<distributable/>

</web-app>
